import Foundation

struct Pro_Packages : Codable {
    
	let the1 : Pro_Package_Model?
	let the2 : Pro_Package_Model?
	let the3 : Pro_Package_Model?
	let the4 : Pro_Package_Model?

	enum CodingKeys: String, CodingKey {
		case the1 = "1"
		case the2 = "2"
		case the3 = "3"
		case the4 = "4"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		the1 = try values.decodeIfPresent(Pro_Package_Model.self, forKey: .the1)
		the2 = try values.decodeIfPresent(Pro_Package_Model.self, forKey: .the2)
		the3 = try values.decodeIfPresent(Pro_Package_Model.self, forKey: .the3)
		the4 = try values.decodeIfPresent(Pro_Package_Model.self, forKey: .the4)
	}

}
